[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[libvirt] [PATCH 0/3] Fix 'make rpm' failure with systemd 230



Turns out the libsystemd-daemon library, which we've been
using for the sd_notify() feature, has been deprecated for
a long time and has finally been removed as of systemd 230.

This means 'make rpm' no longer works on Fedora rawhide,
and that other distributions such as Debian sid are silently
disabling the sd_notify() feature.

Switch from libsystemd-daemon to libsystemd.


Andrea Bolognani (3):
  maint: Use libsystemd instead of libsystemd-daemon
  spec: Enable libsystemd on Fedora >= 21, RHEL >= 7
  systemd: Guard the call to sd_notify() properly

 configure.ac                                      |  4 ++--
 libvirt.spec.in                                   | 18 +++++++++++-------
 m4/{virt-systemd-daemon.m4 => virt-libsystemd.m4} | 14 +++++++-------
 src/Makefile.am                                   |  4 ++--
 src/util/virsystemd.c                             |  4 ++--
 5 files changed, 24 insertions(+), 20 deletions(-)
 rename m4/{virt-systemd-daemon.m4 => virt-libsystemd.m4} (73%)

-- 
2.5.5


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]